Start tracking a customer

API at a glance

Description:
This API starts tracking a customer again in Blueshift. It allows the customer to be included in future tracking and campaigns.

Authentication & testing

Testing the API on this page

How to try it here

  • Use your User API Key as the Username (leave Password blank).
  • Select the appropriate API endpoint based on your Blueshift region.
  • API - Select Region
  • Enter the necessary parameters and click Try It to run the request.
Authentication using Base64 encoding

Note for developers

API requests require authentication using HTTP Basic Authentication with an API key. The API key serves as the username, while the password field should be left empty. The format to encode is: your_api_key: (note the trailing colon).

This string must be Base64-encoded and included in the request's Authorization header as follows:

Authorization: Basic encoded_value

You can generate the encoded value using a trusted Base64 encoder.


Postman collection

Try it with Postman: Explore the API using Blueshift's Postman collection.


ℹ️

Note

If a customer was previously forgotten, calling this API does not restore any previously deleted customer data. The customer will be treated as a new profile going forward.

Things to know before you start

  • Required identifier: You must provide at least one identifier: email or customer_id.
  • No data recovery: This endpoint does not recover any historical data deleted using the Stop tracking a customer API.
  • Tracking resumes: After a successful call, the customer becomes eligible for tracking and campaigns again.
  • Use case: Best for re-enabling tracking for customers who have opted back in after being forgotten.

Request parameters

Check out the request parameters

Body parameters

Note: At least one identifier is required.

ParameterTypeRequiredDescription
emailstring❌ NoEmail address of the customer to start tracking.
customer_idstring❌ NoExternal customer ID of the customer.

Example requests & responses

Start tracking by email
{
  "email": "[email protected]"
}
{
  "status": "ok"
}
Start tracking by customer ID
{
  "customer_id": "CUST-12345"
}
{
  "status": "ok"
}
Body Params

Provide an email address, customer ID, cookie, or device ID to resume tracking for a customer whose tracking was stopped.

string
string
string
string
Responses
200

OK

400

The request was invalid or cannot be otherwise served. An accompanying error message will explain further.

404

Resource not found. This can happen due to resource conflicts. Retry with exponential backoff. If the issue persists, contact Blueshift.

409

Conflict error, please retry. The request could not be completed due to a conflict with the current state of the target resource. Retry with exponential backoff.

413

You can upload up to 50 users in an API call.

429

Rate limit exceeded. Too many requests. Contact us at [email protected] for recommended throughput.

500

Internal server error. Contact Blueshift for more information.

502

Service unavailable, please retry. Bad gateway.

503

Service unavailable, please retry.

504

Service unavailable, please retry. Gateway timeout.

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json